@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

.wrapper2 {
    position: relative;
    /* margin-bottom: 30px; */
}

.slider-wrapper .slider-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 100%;
    height: 70vh;
}

.slider-container {
    position: relative;
    height: 100%;
    width: 100%;
    overflow: hidden;
}


.slider-wrapper .slider-item::before {
    position: absolute;
    content: "";
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    filter: grayscale(20%);
    filter: blur(2px);
    background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.4)), url("../assets/images/slides/slide1.png");
    background-position: center;
    background-size: cover;
}

.slider-wrapper .slide-2::before {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.3)), url("../assets/images/slides/slide2.png");
}

.slider-wrapper .slide-3::before {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.3)), url("../assets/images/slides/slide3.png");
}

.slider-wrapper .slide-4::before {
    background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)), url("../assets/images/slides/slide4.png");
}

.slider-wrapper .slide-5::before {
    background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)), url("../assets/images/slides/slide5.png");
}

.slider-wrapper .slider-item .slide-content {
    color: #fff;
    z-index: 20;
    position: relative;

}

.slider-wrapper .slider-item .slide-content {
    text-align: center;
    width: 75rem;
    /* width: 70vh; */
    margin: auto;

}

.slider-wrapper .slider-item .slide-content .slide-title {
    font-family: "Montserrat", sans-serif;
    text-align: center;
    font-weight: 600;
    font-size: 3rem;
    color: var(--white-color);
    text-transform: uppercase;
    color: #fff;
    text-shadow: 2px 2px 15px #F47C20;
}

.slider-wrapper .slider-item .slide-content .slide-description {
    font-size: 1.7rem;
    padding: 1rem 0;
    line-height: 2;
    text-transform: uppercase;
    color: #fff;
    text-shadow: 2px 2px 15px #1e73be;
}

.wrapper2 .hero-pagination {
    position: absolute;
    left: 50%;
    bottom: 30px !important;
    z-index: 30;
    transform: translateX(-50%);
}

.wrapper2 .hero-pagination .swiper-pagination-bullet {
    height: 15px;
    width: 15px;
    overflow: hidden;
    opacity: 1;
    background: #B1B3F8;
    position: relative;
}

.wrapper2 .hero-pagination .swiper-pagination-bullet-active::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background: #6366f1;
    transform: scaleX(0);
    transform-origin: left center;
    animation: autoplay-loading 5s linear forwards;
}

.wrapper2:hover .hero-pagination .swiper-pagination-bullet-active::before {
    animation-play-state: paused;
}

@keyframes autoplay-loading {
    0% {
        transform: scaleX(0);
    }

    100% {
        transform: scaleX(1);
    }
}

.wrapper2 :where(.hero-button-prev, .hero-button-next) {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #9763f1;
    transition: all 0.3s ease;
    background-color: #ffffff47;
    border-radius: 2px;
    padding: 5px;
    z-index: 10;
}


.wrapper2 :where(.hero-button-prev, .hero-button-next):hover {
    color: #fff;
    background: #8b5cf6;
}

.wrapper2 :where(.hero-button-prev, .hero-button-next)::after {
    font-size: 24px;
}

.slider-wrapper .slider-item .slide-content .white-btn {
    font-size: 1.8rem;
}


@media (max-width: 868px) {


    .slider-wrapper .slider-item .slide-content .slide-title {
        font-size: 2rem;
        text-align: center;
        width: 65vw;
        margin: auto;
    }

    .slider-wrapper .slider-item .slide-content .slide-description {
        font-size: 1.5rem;
        text-align: center;
        width: 65vw;
        margin: auto;
    }

    .slider-wrapper .slider-item .slide-content .white-btn {
        font-size: 1.5rem;
        text-align: center;
    }
}

@media (max-width: 768px) {
    .wrapper2 {
        margin: 0 10px 5px;
    }

    .wrapper2 :where(.hero-button-prev, .hero-button-next) {
        visibility: hidden;
        display: none;
        background-color: transparent;
        color: transparent;
    }



    .slider-wrapper .slider-item .slide-content {
        width: 85vw;
        margin: auto;
        text-align: center;
    }

    .slider-wrapper .slider-item .slide-content .slide-title {
        font-size: 2rem;
        text-align: center;
    }

    .slider-wrapper .slider-item .slide-content .slide-description {
        font-size: 1.5rem;
        text-align: center;
        width: 65vw;
        margin: auto;
    }

    .slider-wrapper .slider-item .slide-content .white-btn {
        font-size: 1.3rem;
        text-align: center;
        padding: .8rem;
        padding: 2px 2px;
    }
}

@media (max-width: 450px) {

    .wrapper2 {
        margin: 0 10px 5px;
    }



    .slider-wrapper .slider-item::before {
        filter: grayscale(20%);
        filter: blur(1px);
    }


    .slider-wrapper .slide-2::before {
        background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.3)), url("../assets/images/slides/slide2.png");
        background-position: 70% 50%;
        filter: blur(1px);
    }

    .slider-wrapper .slide-3::before {
        background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.3)), url("../assets/images/slides/slide3.png");
        background-position: 70% 50%;
        filter: blur(2px);
    }

    .slider-wrapper .slide-4::before {
        background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)), url("../assets/images/slides/slide4.png");
        background-position: 70% 50%;
        filter: blur(1px);
    }

    .slider-wrapper .slide-5::before {
        background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)), url("../assets/images/slides/slide5.png");
        background-position: 70% 50%;
        filter: blur(1px);
    }

    .slider-wrapper .slider-item .slide-content .slide-description {
        font-size: 1.3rem;
        width: 80vw;
        text-align: center;
        /* margin: auto; */
        font-weight: 400;
    }

    .slider-wrapper .slider-item .slide-content .slide-title {
        font-size: 1.6rem;
        width: 80vw;
        text-align: center;
        /* margin: 0 auto */
    }

    .slider-wrapper .slider-item .slide-content .white-btn {
        font-size: 1.3rem;
        text-align: center;
        padding: .8rem;
    }



}

@media (max-width: 450px) {}